
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "cdata.hpp"
#include "stringl.hpp"
#include "uperios.h"
#include "udetails.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
#pragma link "cdata"
#pragma link "stringl"
TForm1 *Form1;

const int xDist = 27;
const int yDist = 22;
const int xShift = 5;
const int yShift = 4;
const int xAngle = 30;
const int yAngle = 70;

//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
                : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormPaint(TObject *Sender)
{
int  i;
int  x,y;

Canvas->Brush->Color = clWhite;
Canvas->Font->Color = clNavy;
for (i=1; i<=MaxChemElem; i++)
  {
  PerSysCoord (i,x,y);
  Canvas->TextOut (xAngle+xDist*x,yAngle+yDist*y,CElemSymb(i));
  Canvas->MoveTo (xAngle+xDist*x-xShift,yAngle+yDist*y-yShift);
  Canvas->LineTo (xAngle+xDist*(x+1)-xShift,yAngle+yDist*y-yShift);
  Canvas->LineTo (xAngle+xDist*(x+1)-xShift,yAngle+yDist*(y+1)-yShift);
  Canvas->LineTo (xAngle+xDist*x-xShift,yAngle+yDist*(y+1)-yShift);
  Canvas->LineTo (xAngle+xDist*x-xShift,yAngle+yDist*y-yShift);
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::SBExitClick(TObject *Sender)
{
Close();        
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormMouseDown(TObject *Sender, TMouseButton Button,
                TShiftState Shift, int X, int Y)
{
int i;
int ex,ey;

X = (X - xAngle+xShift) / xDist;
Y = (Y - yAngle+yShift) / yDist;
for (i=1; i<=MaxChemElem; i++)
  {
  PerSysCoord (i,ex,ey);
  if ((X == ex) && (Y == ey)) 
    {
    Canvas->Brush->Color = clBlue;
    Canvas->Font->Color = clWhite;
    Canvas->TextOut (xAngle+xDist*X,yAngle+yDist*Y,CElemSymb(i));
    Canvas->Brush->Color = clWhite;
    Canvas->Font->Color = clNavy;
    FormDetails->LblAtNum->Caption = IntToStr(i);
    FormDetails->LblName->Caption = CElemName(i);
    FormDetails->LblSymb->Caption = CElemSymb(i);
    FormDetails->LblExactMass->Caption = strff(ExactAtWeight(i),1,6);
    FormDetails->LblAvgMass->Caption = strff(ChemAtWeight(i),1,6);
    FormDetails->LblIntMass->Caption = strff(IntAtWeight(i),1,0);
    FormDetails->Left = X*xDist+Left;
    FormDetails->Top = 110+Y*yDist+Top;
    FormDetails->ShowModal();
    Canvas->TextOut (xAngle+xDist*X,yAngle+yDist*Y,CElemSymb(i));
    }
  }
}
//---------------------------------------------------------------------------