//---------------------------------------------------------------------------
#ifndef maingfH
#define maingfH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Buttons.hpp>
#include "Colsel.hpp"
#include "NumIO.hpp"
#include "GradFl.hpp"
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TFrmGradFill : public TForm
{
__published:	// IDE-managed Components
	TSpeedButton *SBToggleColors;
	TLabel *Label2;
	TBitBtn *BButExit;
	TColSel *ColSel1;
	TColSel *ColSel2;
	TNumIO *NIONumColors;
	TGradFill *GradFill3;
	TGradFill *GFQuad;
	TRadioGroup *RGSelect;
	TRadioButton *RBRadial;
	TRadioButton *RBVertical;
	TRadioButton *RBMidBandVert;
	TRadioButton *RBMidBandHoriz;
	TRadioButton *RBHoriz;
	TRadioButton *RBEllipticFull;
	TRadioButton *RBEllipticFit;
	TRadioButton *RBDiagGrid;
	TLabel *Label3;
	TLabel *Label1;
	void __fastcall BButExitClick(TObject *Sender);
	void __fastcall SBToggleColorsClick(TObject *Sender);
	void __fastcall ColSel1Change(TObject *Sender);
	void __fastcall ColSel2Change(TObject *Sender);
	void __fastcall RBHorizClick(TObject *Sender);
	void __fastcall RBMidBandHorizClick(TObject *Sender);
	void __fastcall RBVerticalClick(TObject *Sender);
	void __fastcall RBMidBandVertClick(TObject *Sender);
	void __fastcall RBDiagGridClick(TObject *Sender);
	void __fastcall RBRadialClick(TObject *Sender);
	void __fastcall RBEllipticFullClick(TObject *Sender);
	void __fastcall RBEllipticFitClick(TObject *Sender);
	void __fastcall NIONumColorsChange(TObject *Sender);
	
private:	// User declarations
public:		// User declarations
	__fastcall TFrmGradFill(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TFrmGradFill *FrmGradFill;
//---------------------------------------------------------------------------
#endif
