//---------------------------------------------------------------------------
#ifndef uplot3dH
#define uplot3dH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "Colsel.hpp"
#include "NumLab.hpp"
#include "plot3d.hpp"
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TPlot3D *Plot3D1;
        TPanel *Panel2;
        TNumLab *NLabZ;
        TNumLab *NLabX;
        TLabel *Label1;
        TNumLab *NLabMag;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *LblColMid;
        TLabel *Label5;
        TLabel *Label4;
        TSpeedButton *SbAutoscale;
        TSpeedButton *SBReset;
        TScrollBar *ScrBarAngleZ;
        TScrollBar *ScrBarAngleX;
        TColSel *CSelHigh;
        TColSel *CSelLow;
        TColSel *CSelGrid;
        TScrollBar *ScrBarMagnif;
        TBitBtn *BButExit;
        TCheckBox *CBoxMesh;
        TColSel *CselMid;
        TScrollBar *ScrBarColorHigh;
        TCheckBox *CBox3colmod;
        TScrollBar *ScrBarSclZ;
        TScrollBar *ScrBarSclY;
        TScrollBar *ScrBarSclX;
        TPopupMenu *popMenMouse;
        TMenuItem *Rotate1;
        TMenuItem *Pan1;
        TMenuItem *Zoom1;
        TMenuItem *RotateandZoom1;
        TMenuItem *RotXOnly1;
        TMenuItem *RotZOnly1;
        TLabel *Label6;
        void __fastcall Plot3D1MouseAction(TObject *Sender, int &CenterX,
          int &CenterY, double &RotXAngle, double &RotZAngle,
          double &Magnification, TShiftState Shift);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall BButExitClick(TObject *Sender);
        void __fastcall ScrBarAngleXChange(TObject *Sender);
        void __fastcall ScrBarAngleZChange(TObject *Sender);
        void __fastcall ScrBarMagnifChange(TObject *Sender);
        void __fastcall CSelHighChange(TObject *Sender);
        void __fastcall CselMidChange(TObject *Sender);
        void __fastcall CSelLowChange(TObject *Sender);
        void __fastcall CSelGridChange(TObject *Sender);
        void __fastcall CBoxMeshClick(TObject *Sender);
        void __fastcall Rotate1Click(TObject *Sender);
        void __fastcall Pan1Click(TObject *Sender);
        void __fastcall Zoom1Click(TObject *Sender);
        void __fastcall RotateandZoom1Click(TObject *Sender);
        void __fastcall RotXOnly1Click(TObject *Sender);
        void __fastcall RotZOnly1Click(TObject *Sender);
        void __fastcall CBox3colmodClick(TObject *Sender);
        void __fastcall SbAutoscaleClick(TObject *Sender);
        void __fastcall ScrBarSclXChange(TObject *Sender);
        void __fastcall ScrBarSclYChange(TObject *Sender);
        void __fastcall ScrBarSclZChange(TObject *Sender);
        void __fastcall SBResetClick(TObject *Sender);
        void __fastcall ScrBarColorHighChange(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
