
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "mainfrm.h"
//---------------------------------------------------------------------------
#pragma link "cform"
#pragma link "NumLab"
#pragma resource "*.dfm"
TForm1 *Form1;

bool IniDone;

//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
                : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::RadioButton1Click(TObject *Sender)
{
MolForm1->NumAtoms = 2;
MolForm1->AtNum[1] = 6;
MolForm1->AtWgt[1] = 12;
MolForm1->AtCnt[1] = 8;
MolForm1->AtNum[2] = 1;
MolForm1->AtWgt[2] = 1;
MolForm1->AtCnt[2] = 18;
MolForm1->ShowIt();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::RadioButton2Click(TObject *Sender)
{
MolForm1->NumAtoms = 3;
MolForm1->AtNum[1] = 6;
MolForm1->AtWgt[1] = 12;
MolForm1->AtCnt[1] = 8;
MolForm1->AtNum[2] = 1;
MolForm1->AtWgt[2] = 1;
MolForm1->AtCnt[2] = 16;
MolForm1->AtNum[3] = 8;
MolForm1->AtWgt[3] = 17;
MolForm1->AtCnt[3] = 1;
MolForm1->ShowIt();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::RadioButton3Click(TObject *Sender)
{
MolForm1->NumAtoms = 2;
MolForm1->AtNum[1] = 1;
MolForm1->AtWgt[1] = 2;
MolForm1->AtCnt[1] = 2;
MolForm1->AtNum[2] = 8;
MolForm1->AtWgt[2] = 16;
MolForm1->AtCnt[2] = 1;
MolForm1->ShowIt();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::RadioButton4Click(TObject *Sender)
{
MolForm1->NumAtoms = 4;
MolForm1->AtNum[1] = 6;
MolForm1->AtWgt[1] = 12;
MolForm1->AtCnt[1] = 2;
MolForm1->AtNum[2] = 1;
MolForm1->AtWgt[2] = 1;
MolForm1->AtCnt[2] = 5;
MolForm1->AtNum[3] = 8;
MolForm1->AtWgt[3] = 16;
MolForm1->AtCnt[3] = 1;
MolForm1->AtNum[4] = 1;
MolForm1->AtWgt[4] = 1;
MolForm1->AtCnt[4] = 1;
MolForm1->ShowIt();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::BitBtn1Click(TObject *Sender)
{
Close();        
}
//---------------------------------------------------------------------------
void __fastcall TForm1::EdFormul1KeyUp(TObject *Sender, WORD &Key,
                TShiftState Shift)
{
MolForm1->ReadFromString(EdFormul1->Text);      
}
//---------------------------------------------------------------------------
void __fastcall TForm1::EdFormul2KeyUp(TObject *Sender, WORD &Key,
                TShiftState Shift)
{
MolForm2->ReadFromString(EdFormul2->Text);      
}
//---------------------------------------------------------------------------
void __fastcall TForm1::BButCompareClick(TObject *Sender)
{
int    crslt;
AnsiString astr;

crslt = MolForm1->CompareTo (MolForm2);
switch (crslt)
  {
  case  2 : astr = "left is contained in right formula";
  case  1 : astr = "right formula is contained in left";
  case  0 : astr = "right formula equals left";
  case -1 : astr = "right and left formula are neither equal nor contained";
  case -2 : astr = "at least one of the formulas is empty";
  }
LblCompareRslt->Caption = astr;
}

//---------------------------------------------------------------------------
void __fastcall TForm1::BButFindClick(TObject *Sender)
{
TFormulaRec  LowF;
TFormulaRec  HighF;

if (! IniDone)
  {
  MolForm3->ShowAsText = false;
  LowF.FLeng = 4;              // lower formula: C0 H0 O0 Cl0
  LowF.AtNum[1] = 6;
  LowF.AtWgt[1] = 12;
  LowF.AtCnt[1] = 0;
  LowF.AtNum[2] = 1;
  LowF.AtWgt[2] = 1;
  LowF.AtCnt[2] = 0;
  LowF.AtNum[3] = 8;
  LowF.AtWgt[3] = 16;
  LowF.AtCnt[3] = 0;
  LowF.AtNum[4] = 17;
  LowF.AtWgt[4] = 35;
  LowF.AtCnt[4] = 0;
  HighF.FLeng = 4;            // upper formula: C16 H34 O4 Cl3
  HighF.AtNum[1] = 6;
  HighF.AtWgt[1] = 12;
  HighF.AtCnt[1] = 16;
  HighF.AtNum[2] = 1;
  HighF.AtWgt[2] = 1;
  HighF.AtCnt[2] = 34;
  HighF.AtNum[3] = 8;
  HighF.AtWgt[3] = 16;
  HighF.AtCnt[3] = 4;
  HighF.AtNum[4] = 17;
  HighF.AtWgt[4] = 35;
  HighF.AtCnt[4] = 3;
  if (MolForm3->InitFindFormula (NLabMass->Value, NLabTol->Value, LowF, HighF))
    {
    IniDone = true;
    }
  }
if (! MolForm3->FindFormulaExactMass (CBoxPlausib->Checked))
  {
  MolForm3->ShowAsText = true;
  MolForm3->MolFormula = "no more formulas";
  IniDone = false;
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
IniDone = false;                
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CBTransparentClick(TObject *Sender)
{
MolForm1->Transparent = CBTransparent->Checked;
MolForm2->Transparent = CBTransparent->Checked;
MolForm3->Transparent = CBTransparent->Checked;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::SBTolChange(TObject *Sender)
{
NLabTol->Value = 0.001*SBTol->Position;
IniDone = false;
MolForm3->Clear();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::SBMassChange(TObject *Sender)
{
NLabMass->Value = 0.01*SBMass->Position;
IniDone = false;
MolForm3->Clear();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CBoxPlausibClick(TObject *Sender)
{
IniDone = false;
MolForm3->Clear();
}
//---------------------------------------------------------------------------
